<?php
if (!defined('USING_SYSTEM')) exit;
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<link type="text/css" rel="stylesheet" href="admin/images/page.css" />
<script type="text/javascript" src="skins/common/images/jquery-1.11.0.min.js"></script>
<script type="text/javascript" src="admin/images/page.js"></script>
<title>Filiant Control Panel</title>
</head>
<body>
<?php echo TREND ?>
<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <th colspan="3">服务器信息</th>
  </tr>
  <tr>
    <td class="title" width="150">解释引擎</td>
    <td width="400"><?php echo $_SERVER['SERVER_SOFTWARE'] ?></td>
    <td class="tips">服务器运行脚本环境</td>
  </tr>
  <tr>
    <td class="title">单次POST额度</td>
    <td><?php echo get_cfg_var('post_max_size') ?></td>
    <td class="tips">单次 POST 所允许的最大额度（由服务器决定）</td>
  </tr>
  <tr>
    <td class="title">单次上传额度</td>
    <td><?php echo get_cfg_var('upload_max_filesize') ?></td>
    <td class="tips">单次所允许上传文件的最大额度（由服务器决定）</td>
  </tr>
  <tr>
    <td class="title">内存使用额度</td>
    <td><?php echo get_cfg_var('memory_limit') ?></td>
    <td class="tips">允许程序最大使用的内存额度（由服务器决定）</td>
  </tr>
  <tr>
    <td class="title">磁盘空余</td>
    <td><?php echo xFile::toStrSize(@disk_free_space('.')) ?></td>
    <td class="tips">服务器物理磁盘存储器分区剩余空间</td>
  </tr>
  <tr>
    <td class="title">内存使用</td>
    <td><?php echo xFile::toStrSize(memory_get_usage()) ?></td>
    <td class="tips">服务器物理内存消耗（含 xMemchem）</td>
  </tr>
</table>
<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <th colspan="3">关于程序</th>
  </tr>
  <tr>
    <td class="title" width="150">当前版本</td>
    <td width="400">Filiant <?php echo FA_VERSION ?></td>
    <td class="tips">Filiant 当前运行在您服务器上的版本</td>
  </tr>
  <tr>
    <td class="title">官方网站</td>
    <td><a href="http://www.maiyun.net" target="_blank">http://www.maiyun.net</a></td>
    <td class="tips">Filiant 开发商迈云网络的官方网站</td>
  </tr>
  <tr>
    <td class="title">微博汇</td>
    <td><a href="http://weibo.com/maiyunnet" target="_blank">迈云网络</a>(事业部官方微博), <a href="http://weibo.com/hanguoshuai" target="_blank">韩国帅</a>(事业部负责人), <a href="http://weibo.com/angusxer" target="_blank">曾鹏辉</a>(项目负责人)</td>
    <td class="tips">与 Filiant 项目组有关的负责人微博汇</td>
  </tr>
</table>
</body>
</html>